# OpenLayers.Format.SLD.v1

Superclass for SLD version 1 parsers.

#### Inherits from

- OpenLayers.Format.Filter.v1_0_0

Summary

OpenLayers.Format.SLD.v1 | Superclass for SLD version 1 parsers.
Properties |
multipleSymbolizers | {Boolean} Support multiple symbolizers per rule.
defaultSymbolizer. | {Object} A symbolizer with the SLD defaults.
Constructor |
OpenLayers.Format.SLD.v1 | Instances of this class are not created directly.

### Properties

### multipleSymbolizers

{Boolean} Support multiple symbolizers per rule. Default is false. if true, an OpenLayers.Style2 instance will be created to represent user styles instead of an OpenLayers.Style instace. The OpenLayers.Style2 class allows collections of rules with multiple symbolizers, but is not currently useful for client side rendering. If multiple symbolizers is true, multiple FeatureTypeStyle elements are preserved in reading/writing by setting symbolizer zIndex values. In addition, the defaultSymbolizer property is ignored if multiple symbolizers are supported (defaults should be applied when rendering).

### defaultSymbolizer.

{Object} A symbolizer with the SLD defaults.

### Constructor

### OpenLayers.Format.SLD.v1

Instances of this class are not created directly. Use the OpenLayers.Format.SLD constructor instead.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

Write ogc:Filter version 1.0.0.
{Object} A symbolizer with the SLD defaults.
Read/Write SLD.
Close